DC_BLUETOOTH_DEVICE_GET_ADDRESS(3)

NAME
dc_bluetooth_device_get_address - Get the address of a bluetooth device.

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/bluetooth.h>
dc_bluetooth_address_t
dc_bluetooth_device_get_address(dc_bluetooth_device_t *device);

DESCRIPTION
Get the bluetooth device address of given bluetooth device. Required when opening transport communication with dc_bluetooth_open(3). Requires a valid device of type dc_bluetooth_device_t which can be retrieved using dc_bluetooth_iterator_new(3).

RETURN VALUES
Returns the bluetooth address of device as dc_bluetooth_address_t which is a 64bit integer holding the bluetooth address. The address can be formatted as a string by using dc_bluetooth_addr2str(3).

SEE ALSO
dc_bluetooth_open(3), dc_bluetooth_iterator_new(3), dc_bluetooth_device_get_name(3), dc_bluetooth_addr2str(3).

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org.
This manpage is written by Vincent Hagen, vinnie@script4web.nl.